Skip to main content
GET
/
api
/
v2
/
channels
/
works
/
link-info
Parse Work Link
curl --request GET \
  --url https://aitoearn.cn/api/v2/channels/works/link-info \
  --header 'X-Api-Key: <api-key>'
{
  "code": 0,
  "message": "Request succeeded",
  "data": {
    "platform": "douyin",
    "work": {
      "id": "string",
      "url": "string",
      "title": "string",
      "description": "string",
      "mediaType": "string",
      "coverUrl": "string",
      "publishedAt": "2026-07-02T12:00:00.000Z",
      "status": "string",
      "author": "string"
    },
    "snapshots": [],
    "extra": {},
    "snapshotId": "string",
    "fetchedAt": "2026-07-02T12:00:00.000Z",
    "message": "string"
  }
}

Authorizations

X-Api-Key
string
header
required

Need to get API Key from AiToEarn. Click to go to "API Key Obtaining Tutorial".

Query Parameters

platform
enum<string>
required

platform

Available options:
douyin,
xhs,
wxSph,
KWAI,
youtube,
wxGzh,
bilibili,
twitter,
tiktok,
facebook,
instagram,
threads,
pinterest,
linkedin,
google_business

Work link

Minimum string length: 1
accountId
string

Account ID

Minimum string length: 1

Response

200 - application/json

The request has been processed by the service. Business success is determined by whether the response body has code === 0.

code
integer
required

Business status code. 0 means success; non-zero means a business error.

message
string
required

Response message.

data
object
requestId
string

Request ID.

timestamp
integer

Error response timestamp in Unix milliseconds.